libqalculate-3.5.0

Public Member Functions | Protected Member Functions | List of all members
VariableArgument Class Reference
Inheritance diagram for VariableArgument:

## Public Member Functions
| VariableArgument (string name_="", bool does_test=true, bool does_error=true)
| VariableArgument (const VariableArgument *arg)
virtual int | type () const
virtual Argument * | copy () const
virtual string | print () const
Public Member Functions inherited from Argument
| Argument (string name_="", bool does_test=true, bool does_error=true)
| Argument (const Argument *arg)
virtual | ~Argument ()
virtual void | set (const Argument *arg)
string | printlong () const
bool | test (MathStructure &value, int index, MathFunction *f, const EvaluationOptions &eo=default_evaluation_options) const
virtual MathStructure | parse (const string &str, const ParseOptions &po=default_parse_options) const
virtual void | parse (MathStructure *mstruct, const string &str, const ParseOptions &po=default_parse_options) const
string | name () const
void | setName (string name_)
void | setCustomCondition (string condition)
string | getCustomCondition () const
bool | tests () const
void | setTests (bool does_error)
bool | alerts () const
void | setAlerts (bool does_error)
bool | zeroForbidden () const
void | setZeroForbidden (bool forbid_zero)
bool | matrixAllowed () const
void | setMatrixAllowed (bool allow_matrix)
bool | handlesVector () const
void | setHandleVector (bool handle_vector)
bool | isLastArgument () const
void | setIsLastArgument (bool is_last)
bool | rationalPolynomial () const
void | setRationalPolynomial (bool rational_polynomial)
virtual bool | suggestsQuotes () const

## Protected Member Functions
virtual bool | subtest (MathStructure &value, const EvaluationOptions &eo) const
virtual string | subprintlong () const

## Additional Inherited Members
Protected Attributes inherited from Argument
string | sname
string | scondition
bool | b_zero
bool | b_test
bool | b_matrix
bool | b_text
bool | b_error
bool | b_rational
bool | b_last
bool | b_handle_vector

## Member Function Documentation

## ◆ copy()

virtual Argument* VariableArgument::copy | ( |  | ) | const
| virtual

Returns a copy of the argument definition.

Returns
  A copy.

Reimplemented from Argument.

## ◆ print()

virtual string VariableArgument::print | ( |  | ) | const
| virtual

Resturns a short description of the argument definition. Ex. "number" for NumberArgument.

Returns
  Short description.

Reimplemented from Argument.

## ◆ subprintlong()

virtual string VariableArgument::subprintlong | ( |  | ) | const
| protected virtual

This function is called from Argument::printlong() and returns description specific the argument definition type. Should be reimplemented by all subclasses. For example IntegerArgument::subprintlong() might return "an integer" and Argument::printlong() might append " that fulfills the condition: even(\x)".

Returns
  Long description.

Reimplemented from Argument.

## ◆ subtest()

virtual bool VariableArgument::subtest | ( | MathStructure & | value,
|  | const EvaluationOptions & | eo
| ) |  | const
| protected virtual

This function is called from Argument::test() and performs validation specific to the argument definition type. Should be reimplemented by all subclasses.

Parameters

  value | Value to test.
  eo | Evaluation options to use if the value needs to be evaluated.

Returns
  true if the value is valid for the argument definition.

Reimplemented from Argument.

## ◆ type()

virtual int VariableArgument::type | ( |  | ) | const
| virtual

Returns the type of the argument, corresponding to which subclass the object belongs to.

Returns
  ArgumentType.

Reimplemented from Argument.

The documentation for this class was generated from the following file:

- libqalculate/Function.h